Developer
    webhook/callback
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • webhook
      POST

      webhook

      POST
      https://your_url/example
      PARAMDEFAULT
      billerOperator or Biller Name
      agent_idagent id passed by Merchant
      utrOperator Live Txn ID or Bank UTR Etc
      statusPENDING, SUCCESS, FAILED
      tlidzuelpay unique ID
      action_typeRECHARGE,PAYOUT,BILL,GIFTCARD,BUS,FLIGHT,UTILITY
      **
      ADD WEBHOOK URL FROM YOUR ZuelPay Merchant PANEL TO GET REAL TIME RESPONSE.
      **
      For getting webhook response, you can use this PHP CODE:
      $inputJSON = file_get_contents('php://input');
      Example Webhook Response:
      {
        "webhook_res": {
          "callback_status": "SUCCESS",
          "tlid": "ZRA1733743887997QWeIt70",
          "utr": "1842562376",
          "error": "Success",
          "biller": "Airtel Prepaid",
          "status": "SUCCESS",
          "agent_id": "ZLP0000000394430307KK09",
          "type": "webhook",
          "action_type": "RECHARGE",
          "timestamp": "2024-12-09 22:18:38"
        },
        "checkSum": "2763247139b91bf7f22bb943e808e818d3f09c7d467e7086fc4658b5d6003574"
      }
      

      WEBHOOK checkSum CREATE FORMAT:#

      $string = pass as json data example below.
      $secret = Use your zuelpay SECRET_KEY from API Settings Page
      STRING JSON WILL BE LIKE :
      pass the json webhook_res
      {
          "callback_status": "SUCCESS",
          "tlid": "ZRA1733743887997QWeIt70",
          "utr": "1842562376",
          "error": "Success",
          "biller": "Airtel Prepaid",
          "status": "SUCCESS",
          "agent_id": "ZLP0000000394430307KK09",
          "type": "webhook",
          "action_type": "RECHARGE",
          "timestamp": "2024-12-09 22:18:38"
        }
      

      Request

      None

      Responses

      🟢200
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST 'https://your_url/example'
      Response Response Example
      {}
      Modified at 2026-08-29 13:16:25
      Built with